MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028908Open CASCADE[OCCT] OCCT:Application Frameworkpublic2017-07-11 08:562017-09-29 16:23
Reportervro 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028908: Improvement on attachment of attributes to the label
DescriptionBefore Open CASCADE 7.0.0 the attributes were prepended to a list of attributes of a label. Later, they were appended. This improvement introduces a boolean flag to the method AddAttribute() to decide for each particular attribute whether it should be appended or prepended.

Some remarks:
A. Prepending some frequently used attributes may accelerate performance (access to the attributes).
B. Some attributes expect a predefined order of attributes at a label (for example, TDataXtd_Presentation and TPrsStd_AISPresentation). In this case appending of attributes is preferable because TPrsStd_AISPresentation is created later.
Steps To ReproduceNo need in a new special test. I re-used (and a little extended) an already existing test case "testgrid bugs caf bug24755" - it checks a sequence of attributes attached to a label.
TagsNo tags attached.
Test case numberbugs caf bug24755
Attached Files

- Relationships
related to 0028946closedbugmaster Open CASCADE Exception on Undo 
related to 0028973closedbugmaster Open CASCADE Undo/Redo changes the order of some attributes 
related to 0029116verifiedbugmaster Community [Regression] OCAF attributes insertion order is violated again 

-  Notes
(0068181)
git (administrator)
2017-07-11 11:27

Branch CR28908 has been created by vro.

SHA-1: 14746559d8c815b06be2af491d839fc6d733fb7e


Detailed log of new commits:

Author: vro
Date: Tue Jul 11 11:27:33 2017 +0300

    0028908: Improvement on attachment of attributes to the label
(0068236)
vro (developer)
2017-07-13 09:15

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR28908-master/view/TESTING/ [^]
(0068309)
git (administrator)
2017-07-14 12:36

Branch CR28908 has been updated by vro.

SHA-1: 2c805aab167bec8ae66e4b572797e647c2df55aa


Detailed log of new commits:

Author: vro
Date: Fri Jul 14 12:35:50 2017 +0300

    The order of attributes in the label is synchronized on copying. Sometimes it is important (for presentation attributes, for example).

(0068311)
git (administrator)
2017-07-14 13:03

Branch CR28908_1 has been created by vro.

SHA-1: f07703fc4cd248cb304c0a2dd4848a49f0554e9f


Detailed log of new commits:

Author: vro
Date: Fri Jul 14 13:02:44 2017 +0300

    A merged version.
(0068622)
git (administrator)
2017-07-24 08:47

Branch CR28908_2 has been created by vro.

SHA-1: 1de833888b7fe743cfab4f513efade7ecd341bcf


Detailed log of new commits:

Author: vro
Date: Mon Jul 24 08:47:30 2017 +0300

    A merged version
(0068701)
vro (developer)
2017-07-26 07:10

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR28908-master/view/COMPARE/ [^]
(0068709)
mpv (developer)
2017-07-26 11:56

Reviewed. Please, test.
(0068719)
apv (tester)
2017-07-26 13:58

Dear BugMaster,

Branch CR28908_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1de833888b7fe743cfab4f513efade7ecd341bcf

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 8 (8 on master)
   Windows: 0 (0 on master)
   MacOS: 2 (2 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs caf bug24755 - OK
http://occt-tests/CR28908-master-OCCT/Debian70-64/bugs/caf/bug24755.html [^]
http://occt-tests/CR28908-master-OCCT/Windows-64-VC10/bugs/caf/bug24755.html [^]

Testing on Linux:
Total MEMORY difference: 94192872 / 92039972 [+2.34%]
Total CPU difference: 19303.149999999983 / 19421.550000000127 [-0.61%]

Testing on Windows:
Total MEMORY difference: 55856386 / 55867730 [-0.02%]
Total CPU difference: 17959.864726598862 / 17810.271985598964 [+0.48%]
(0068720)
apv (tester)
2017-07-26 13:59

Dear BugMaster,

Please integrate branch CR28908_2 into the occt git-repository master.
(0068954)
git (administrator)
2017-07-31 17:46

Branch CR28908 has been deleted by kgv.

SHA-1: 2c805aab167bec8ae66e4b572797e647c2df55aa
(0068955)
git (administrator)
2017-07-31 17:46

Branch CR28908_1 has been deleted by kgv.

SHA-1: f07703fc4cd248cb304c0a2dd4848a49f0554e9f
(0068956)
git (administrator)
2017-07-31 17:46

Branch CR28908_2 has been deleted by kgv.

SHA-1: 1de833888b7fe743cfab4f513efade7ecd341bcf

- Related Changesets
occt: master 0f3d1d7c
Timestamp: 2017-07-24 05:47:30
Author: vro
Committer: bugmaster
Details ] Diff ]
0028908: Improvement on attachment of attributes to the label
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/TDF/TDF_CopyTool.cxx Diff ] File ]
mod - src/TDF/TDF_Label.cxx Diff ] File ]
mod - src/TDF/TDF_Label.hxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_AISPresentation.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-11 08:56 vro New Issue
2017-07-11 08:56 vro Assigned To => vro
2017-07-11 11:27 git Note Added: 0068181
2017-07-13 09:15 vro Note Added: 0068236
2017-07-13 09:18 vro Assigned To vro => mpv
2017-07-13 09:18 vro Status new => resolved
2017-07-13 09:18 vro Steps to Reproduce Updated View Revisions
2017-07-14 12:36 git Note Added: 0068309
2017-07-14 13:03 git Note Added: 0068311
2017-07-18 09:56 mpv Assigned To mpv => vro
2017-07-18 09:56 mpv Status resolved => assigned
2017-07-24 08:47 git Note Added: 0068622
2017-07-25 13:33 mpv Relationship added related to 0028946
2017-07-26 07:10 vro Note Added: 0068701
2017-07-26 07:10 vro Assigned To vro => mpv
2017-07-26 07:10 vro Status assigned => resolved
2017-07-26 11:56 mpv Note Added: 0068709
2017-07-26 11:56 mpv Assigned To mpv => bugmaster
2017-07-26 11:56 mpv Status resolved => reviewed
2017-07-26 12:37 apv Assigned To bugmaster => apv
2017-07-26 13:54 apv Test case number => bugs caf bug24755
2017-07-26 13:58 apv Note Added: 0068719
2017-07-26 13:58 apv Assigned To apv => bugmaster
2017-07-26 13:58 apv Status reviewed => tested
2017-07-26 13:59 apv Note Added: 0068720
2017-07-28 17:18 bugmaster Changeset attached => occt master 0f3d1d7c
2017-07-28 17:18 bugmaster Status tested => verified
2017-07-28 17:18 bugmaster Resolution open => fixed
2017-07-31 17:46 git Note Added: 0068954
2017-07-31 17:46 git Note Added: 0068955
2017-07-31 17:46 git Note Added: 0068956
2017-08-07 08:43 vro Relationship added related to 0028973
2017-09-15 14:52 mpv Relationship added related to 0029116
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:23 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker